package sklep.web;

import java.util.List;

import sklep.db.DBConnection;
import sklep.db.DBException;
import sklep.db.ProductDAO;
import sklep.model.Product;

public class ProductBean {
    /* Ta klasa jest po to, aby w skrypcie JSP w wygodny sposó” odczytać sobie listę produktów z bazy danych. */
    
    public List<Product> getAllProducts() throws DBException {
        try(DBConnection db = DBConnection.open()) {
            ProductDAO productDAO = db.productDAO();
            return productDAO.readAll();
        }
    }

}
